html,
body{
  overflow-x: clip;
}
html {
	box-sizing: border-box;
}

*,
*:before,
*:after {
	box-sizing: inherit;
}

img {
	height: auto;
	max-width: 100%;
}

figure {
	margin: 0;
}

ul, ol {
  padding: 0;
  margin-top: var(--wp--custom--global--list--spacing--margin--start, 1rem);
  margin-bottom: var(--wp--custom--global--list--spacing--margin--end, 1rem);
  padding-left: var(--wp--custom--global--list--spacing--padding--left, 20px);
}

ul li,
ol li {
  margin-bottom: var(--wp--custom--global--list--list-item--spacing--margin--end, 5px);
}

ul {
  list-style: disc;
}

ol {
  list-style: decimal;
}


cite,
dfn,
em,
i {
	font-style: italic;
}


pre {
	background: var(--global-pre-color-background, #eee);
	font-family: var(--global-pre-font-family ,"Courier 10 Pitch", Courier, monospace);
	line-height: var(--global-pre-font-line-height,1.6);
  margin-bottom: 1.6em;
  max-width: 100%;
  overflow: auto;
  padding: 1.6em;
}


p a,
label a {
  font-size: inherit;
}

h1,h2,h3,h4,h5,h6{
  margin-block-start: var(--wp--custom--global--headings--spacing--margin--top,0);
  margin-block-end: var(--wp--custom--global--headings--spacing--margin--bottom,1rem);
}

h1 a,h2 a,h3 a,h4 a,h5 a,h6 a{
  font-size: inherit !important;
  color: currentcolor;
}

svg{
  display: block;
}

#content ul a,
#content ol a,
#content li a {
  font-size: inherit !important;
}

/*Site Footer*/
.site-footer a:hover,
.site-footer a:focus,
.site-footer a:focus-visible {
  text-decoration: underline;;
}


.site-footer a .sr,
.site-footer .sr,
.site-footer a .screen-reader-text,
.site-footer .screen-reader-text,
.site-footer .elementor-screen-only,
.site-footer a .elementor-screen-only{
    color: var(--wp--custom--global--footer--elements--link--color--text);
}
/*END Site Footer*/

/*reusuable classes*/
.flex-layout{
  display: -webkit-box; /* OLD - iOS 6-, Safari 3.1-6, BB7 */
  display: -ms-flexbox; /* TWEENER - IE 10 */
  display: -webkit-flex;
  display: -moz-box;
  /* NEW - Safari 6.1+. iOS 7.1+, BB10 */
  display: flex;
}

.grid-layout{
  display: grid;
}

.no-underline{
  text-decoration: none !important;
}

.reset-list {
  margin: 0;
  padding: 0;
  list-style: none;
}
/*END reusuable classes*/

/*Elementor elements*/
.site-header:not(.dynamic-header),
.site-footer:not(.dynamic-footer){
  padding-inline-start: 0;
  padding-inline-end: 0;
  max-width: 100%;
}

.elementor p a:not(.elementor-button-link){
  color: inherit;
  font-size: inherit;
  text-decoration: var(--wp--custom--global--elements--link--typography--text-decoration, underline);
}


.elementor p a:not(.elementor-button-link):hover,
.elementor p a:not(.elementor-button-link):focus,
.elementor p a:not(.elementor-button-link):focus-visible{
  text-decoration: var(--wp--custom--global--elements--link--hover--typography--text-decoration, none);
}
/*END Elementor elements*/

/*no js*/
body.no-js #masthead{
  position: static !important;

}
/*END no js*/
